Index: trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/BottomLeftPermutationDecoder.cs
===================================================================
--- trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/BottomLeftPermutationDecoder.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/BottomLeftPermutationDecoder.cs	(revision 16565)
@@ -21,5 +21,5 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using System.Collections.Generic;
@@ -28,9 +28,9 @@
 namespace HeuristicLab.Problems.BinPacking2D {
   [Item("Bottom-left Permutation Decoder (2d)", "Decodes the permutation and creates a packing solution candidate")]
-  [StorableClass]
+  [StorableType("BD0B1034-46EC-430A-B971-258FACC9A39B")]
   public class BottomLeftPermutationDecoder : Item, IDecoder<Permutation> {
 
     [StorableConstructor]
-    protected BottomLeftPermutationDecoder(bool deserializing) : base(deserializing) { }
+    protected BottomLeftPermutationDecoder(StorableConstructorFlag _) : base(_) { }
     protected BottomLeftPermutationDecoder(BottomLeftPermutationDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/ExtremePointPermutationDecoder.cs
===================================================================
--- trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/ExtremePointPermutationDecoder.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/ExtremePointPermutationDecoder.cs	(revision 16565)
@@ -21,5 +21,5 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using System.Collections.Generic;
@@ -28,9 +28,9 @@
 namespace HeuristicLab.Problems.BinPacking2D {
   [Item("Extreme-point Permutation Decoder (2d)", "Decodes the permutation and creates a packing solution candidate")]
-  [StorableClass]
+  [StorableType("F50F332A-CFE7-4AB7-95C6-8D7943B3DEF2")]
   public class ExtremePointPermutationDecoder : Item, IDecoder<Permutation> {
 
     [StorableConstructor]
-    protected ExtremePointPermutationDecoder(bool deserializing) : base(deserializing) { }
+    protected ExtremePointPermutationDecoder(StorableConstructorFlag _) : base(_) { }
     protected ExtremePointPermutationDecoder(ExtremePointPermutationDecoder original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/PermutationProblem.cs
===================================================================
--- trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/PermutationProblem.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/PermutationProblem.cs	(revision 16565)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,14 +29,14 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.BinPacking2D {
   [Item("Bin Packing Problem (2D, permutation encoding) (BPP)", "Represents a two-dimensional bin-packing problem using only bins with identical measures and bins/items with rectangular shapes.")]
-  [StorableClass]
+  [StorableType("BE95CC5D-7FFD-4BC7-A2FF-7D71D3B951F6")]
   [Creatable(Category = CreatableAttribute.Categories.CombinatorialProblems, Priority = 300)]
   public sealed class PermutationProblem : ProblemBase<PermutationEncoding, Permutation> {
     // persistence
     [StorableConstructor]
-    private PermutationProblem(bool deserializing) : base(deserializing) { }
+    private PermutationProblem(StorableConstructorFlag _) : base(_) { }
 
     // cloning
Index: trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/Swap2MoveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/Swap2MoveEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/Swap2MoveEvaluator.cs	(revision 16565)
@@ -23,9 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.BinPacking2D {
   [Item("Swap2MoveEvaluator", "Move evaluator for 2-opt moves.")]
-  [StorableClass]
+  [StorableType("7C1A0291-AD10-457D-B7B3-3D2B5B02C58D")]
   public sealed class Swap2MoveEvaluator : MoveEvaluatorBase<Permutation, Swap2Move>, IPermutationSwap2MoveOperator {
     public ILookupParameter<Swap2Move> Swap2MoveParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private Swap2MoveEvaluator(bool deserializing) : base(deserializing) { }
+    private Swap2MoveEvaluator(StorableConstructorFlag _) : base(_) { }
     private Swap2MoveEvaluator(Swap2MoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveEvaluator()
Index: trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/TranslocationMoveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/TranslocationMoveEvaluator.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.BinPacking/3.3/2D/PermutationEncoding/TranslocationMoveEvaluator.cs	(revision 16565)
@@ -23,9 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.BinPacking2D {
   [Item("TranslocationMoveEvaluator", "Move evaluator for insertion or translocation moves.")]
-  [StorableClass]
+  [StorableType("9198644C-27DA-408B-810E-7686F0539802")]
   public sealed class TranslocationMoveEvaluator : MoveEvaluatorBase<Permutation, TranslocationMove>, IPermutationTranslocationMoveOperator {
     public ILookupParameter<TranslocationMove> TranslocationMoveParameter {
@@ -36,5 +36,5 @@
     }
     [StorableConstructor]
-    private TranslocationMoveEvaluator(bool deserializing) : base(deserializing) { }
+    private TranslocationMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     private TranslocationMoveEvaluator(TranslocationMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     public TranslocationMoveEvaluator()
